apiVersion: {{ ds_apivers }}
kind: DaemonSet
metadata:
  labels:
    {{ network_policy_deployment_label }}: {{ muninnode_name }}
  name: {{ muninnode_name }}
  namespace: {{ namespace }}
spec:
  selector:
    matchLabels:
      name: {{ muninnode_name }}
  template:
    metadata:
      labels:
        name: {{ muninnode_name }}
    spec:
      automountServiceAccountToken: false
      containers:
      - command:
        - dumb-init
        - "--"
        - /start-node.sh
        name: munin-node
        image: {{ (opsimages | json_query("[?name=='munin'].image"))[0] }}
        imagePullPolicy: {{ pull_policy }}
        livenessProbe:
          tcpSocket:
            port: 4949
        ports:
        - containerPort: 4949
        resources:
          limits:
            cpu: "{{ munin_node_cpu_limit }}"
            memory: {{ munin_node_memory_limit }}
          requests:
            cpu: "{{ munin_node_cpu_request }}"
            memory: {{ munin_node_memory_request }}
        securityContext:
          allowPrivilegeEscalation: false
        volumeMounts:
        - mountPath: /var/log/munin
          name: logs
        - mountPath: /host/proc
          name: proc
          readOnly:  true
        - mountPath: /host/sys
          name: sys
          readOnly: true
      hostNetwork: true
      hostPID: true
      nodeSelector:
{% for sel in munin_node_collect_nodes_selectors %}
        {{ sel.split('=')[0] }}: "{{ sel.split('=')[1] if (sel.split('=') | length > 1) else '' }}"
{% endfor %}
{% if k8s_flavor == 'kubernetes' or (k8s_flavor == 'openshift' and ocp_major in [ 4, '4' ]) %}
      priorityClassName: opsperator-monitoring
{% endif %}
{% if (k8s_flavor == 'kubernetes' and do_podsecuritypolicy) or k8s_flavor == 'openshift' %}
      serviceAccountName: {{ muninnode_name }}
{% else %}
      serviceAccountName: default
{% endif %}
      tolerations:
      - operator: Exists
      volumes:
      - name: logs
        emptyDir: {}
      - name: proc
        hostPath:
          path: /proc
      - name: sys
        hostPath:
          path: /sys
  updateStrategy:
    type: RollingUpdate
